path: /build/build/xinetd-sys-apps-2.3.15.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-selinux perl rpc tcpd" emerge sys-apps/xinetd -pv -t && \
    USE="-selinux perl rpc tcpd" emerge -j ${JOBS} --nodeps sys-apps/xinetd
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/xinetd && luet-portage --dir /pkgdir/xinetd
    sys-apps/xinetd && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deb260c0a0599cb6dc14bd266ef78f86d86ee2a095f405a5a5447b75cece8f83
  package:
    name: xinetd
    version: 2.3.15.4
    category: sys-apps
    use_flags:
    - -selinux
    - perl
    - rpc
    - tcpd
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: powerful replacement for inetd
    uri:
    - https://github.com/xinetd-org/xinetd https://github.com/openSUSE/xinetd
    license: BSD
    buildtimestamp: 2023-10-06 20:51:46.46554077 +0000 UTC m=+9642.111456290
    labels:
      DEPEND: rpc? ( net-libs/libtirpc:= ) selinux? ( sys-libs/libselinux ) tcpd?
        ( >=sys-apps/tcp-wrappers-7.6-r2 ) virtual/pkgconfig virtual/pkgconfig >=app-portage/elt-patches-20170815
        !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
        ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
      IUSE: perl rpc selinux tcpd
      RDEPEND: rpc? ( net-libs/libtirpc:= ) selinux? ( sys-libs/libselinux ) tcpd?
        ( >=sys-apps/tcp-wrappers-7.6-r2 ) perl? ( dev-lang/perl )
      emerge.packages: sys-apps/xinetd
      kit: geaaru-kit
      original.package.name: sys-apps/xinetd
      original.package.slot: "0"
      original.package.version: 2.3.15.4
    treedir: /build/packages
  package_dir: /pkgdir/xinetd
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 420505bd34c78f4c50d3f9ee43c41c6f5b9ad46c929336a5515abcec2dd25609
compressiontype: zstd
files:
- etc/conf.d/xinetd
- etc/init.d/xinetd
- etc/xinetd.conf
- etc/xinetd.d/chargen
- etc/xinetd.d/chargen-udp
- etc/xinetd.d/daytime
- etc/xinetd.d/daytime-udp
- etc/xinetd.d/discard
- etc/xinetd.d/discard-udp
- etc/xinetd.d/echo
- etc/xinetd.d/echo-udp
- etc/xinetd.d/servers
- etc/xinetd.d/services
- etc/xinetd.d/time
- etc/xinetd.d/time-udp
- lib/systemd/system/xinetd.service
- usr/bin/itox
- usr/bin/xconv.pl
- usr/sbin/xinetd
- usr/share/doc/xinetd-2.3.15.4/CHANGELOG.bz2
- usr/share/doc/xinetd-2.3.15.4/README.md.bz2
- usr/share/doc/xinetd-2.3.15.4/xinetd.conf.dist.sample.bz2
- usr/share/man/man5/xinetd.conf.5.bz2
- usr/share/man/man5/xinetd.log.5.bz2
- usr/share/man/man8/itox.8.bz2
- usr/share/man/man8/xconv.pl.8.bz2
- usr/share/man/man8/xinetd.8.bz2
- var/db/pkg/sys-apps/xinetd-2.3.15.4/BUILD_TIME
- var/db/pkg/sys-apps/xinetd-2.3.15.4/CATEGORY
- var/db/pkg/sys-apps/xinetd-2.3.15.4/CBUILD
- var/db/pkg/sys-apps/xinetd-2.3.15.4/CFLAGS
- var/db/pkg/sys-apps/xinetd-2.3.15.4/CHOST
- var/db/pkg/sys-apps/xinetd-2.3.15.4/CONTENTS
- var/db/pkg/sys-apps/xinetd-2.3.15.4/COUNTER
- var/db/pkg/sys-apps/xinetd-2.3.15.4/CXXFLAGS
- var/db/pkg/sys-apps/xinetd-2.3.15.4/DEFINED_PHASES
- var/db/pkg/sys-apps/xinetd-2.3.15.4/DEPEND
- var/db/pkg/sys-apps/xinetd-2.3.15.4/DESCRIPTION
- var/db/pkg/sys-apps/xinetd-2.3.15.4/EAPI
- var/db/pkg/sys-apps/xinetd-2.3.15.4/FEATURES
- var/db/pkg/sys-apps/xinetd-2.3.15.4/HOMEPAGE
- var/db/pkg/sys-apps/xinetd-2.3.15.4/INHERITED
- var/db/pkg/sys-apps/xinetd-2.3.15.4/IUSE
- var/db/pkg/sys-apps/xinetd-2.3.15.4/IUSE_EFFECTIVE
- var/db/pkg/sys-apps/xinetd-2.3.15.4/KEYWORDS
- var/db/pkg/sys-apps/xinetd-2.3.15.4/LDFLAGS
- var/db/pkg/sys-apps/xinetd-2.3.15.4/LICENSE
- var/db/pkg/sys-apps/xinetd-2.3.15.4/NEEDED
- var/db/pkg/sys-apps/xinetd-2.3.15.4/PF
- var/db/pkg/sys-apps/xinetd-2.3.15.4/RDEPEND
- var/db/pkg/sys-apps/xinetd-2.3.15.4/REQUIRES
- var/db/pkg/sys-apps/xinetd-2.3.15.4/SIZE
- var/db/pkg/sys-apps/xinetd-2.3.15.4/SLOT
- var/db/pkg/sys-apps/xinetd-2.3.15.4/USE
- var/db/pkg/sys-apps/xinetd-2.3.15.4/environment.bz2
- var/db/pkg/sys-apps/xinetd-2.3.15.4/repository
- var/db/pkg/sys-apps/xinetd-2.3.15.4/xinetd-2.3.15.4.ebuild
package_cacheimage: ""
runtime:
  name: xinetd
  version: 2.3.15.4
  category: sys-apps
  use_flags:
  - -selinux
  - perl
  - rpc
  - tcpd
  requires:
  - name: perl
    version: '>=0'
    category: dev-lang
  - name: libtirpc
    version: '>=0'
    category: net-libs
  - name: tcp-wrappers
    version: '>=0'
    category: sys-apps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: powerful replacement for inetd
  uri:
  - https://github.com/xinetd-org/xinetd https://github.com/openSUSE/xinetd
  license: BSD
  labels:
    DEPEND: rpc? ( net-libs/libtirpc:= ) selinux? ( sys-libs/libselinux ) tcpd? (
      >=sys-apps/tcp-wrappers-7.6-r2 ) virtual/pkgconfig virtual/pkgconfig >=app-portage/elt-patches-20170815
      !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
      ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
    IUSE: perl rpc selinux tcpd
    RDEPEND: rpc? ( net-libs/libtirpc:= ) selinux? ( sys-libs/libselinux ) tcpd? (
      >=sys-apps/tcp-wrappers-7.6-r2 ) perl? ( dev-lang/perl )
    emerge.packages: sys-apps/xinetd
    kit: geaaru-kit
    original.package.name: sys-apps/xinetd
    original.package.slot: "0"
    original.package.version: 2.3.15.4
